/**Begin D:\PDM\PDM1\BOS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_WORKCALENDAR_INIT')
 CREATE TABLE T_BD_WORKCALENDAR_INIT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(32) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(64) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(64) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(64) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FISSUNREST CHAR(1) DEFAULT ' ' NOT NULL,
FISMONREST CHAR(1) DEFAULT ' ' NOT NULL,
FISTUEREST CHAR(1) DEFAULT ' ' NOT NULL,
FISWEDREST CHAR(1) DEFAULT ' ' NOT NULL,
FISTHUREST CHAR(1) DEFAULT ' ' NOT NULL,
FISFRIREST CHAR(1) DEFAULT ' ' NOT NULL,
FISSATREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFSUNREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFMONREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFTUEREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFWEDREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFTHUREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFFRIREST CHAR(1) DEFAULT ' ' NOT NULL,
FISHALFSATREST CHAR(1) DEFAULT ' ' NOT NULL,
FEXPIRINGYEARFROM VARCHAR(64) DEFAULT ' ' NOT NULL,
FEXPIRINGMONTHFROM VARCHAR(64) DEFAULT ' ' NOT NULL,
FEXPIRINGYEARTO VARCHAR(64) DEFAULT ' ' NOT NULL,
FEXPIRINGMONTHTO VARCHAR(64) DEFAULT ' ' NOT NULL,
FHOUROFBEGINTIMEAM BIGINT DEFAULT 0 NOT NULL,
FMINOFBEGINTIMEAM BIGINT DEFAULT 0 NOT NULL,
FHOUROFENDTIMEAM BIGINT DEFAULT 0 NOT NULL,
FMINOFENDTIMEAM BIGINT DEFAULT 0 NOT NULL,
FHOUROFBEGINTIMEPM BIGINT DEFAULT 0 NOT NULL,
FMINOFBEGINTIMEPM BIGINT DEFAULT 0 NOT NULL,
FHOUROFENDTIMEPM BIGINT DEFAULT 0 NOT NULL,
FMINOFENDTIMEPM BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FISINDIVIDUATION INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_EXCEPTIONDATE')
 CREATE TABLE T_BD_EXCEPTIONDATE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDATETYPE VARCHAR(64) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM1\BOS_table.sql **/
